Skip to main content
PATCH
Update article

Authorizations

Authorization
string
header
required

Behalf of an Operator. The JWT issued by Talqui Core when an operator signs in. Send as Authorization: Bearer <jwt-token>.

Path Parameters

tenantID
string<uuid>
required

The tenant the help center belongs to.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
articleID
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
articleDescription
string
Maximum string length: 2000
articleDraft
object
articleFeatured
boolean
articleOrder
integer
Required range: 0 <= x <= 10000
articleSlug
string
Required string length: 1 - 160
articleStatus
enum<string>
Available options:
draft,
published,
archived
articleTitle
string
Required string length: 1 - 300
categoryID
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Response for status 200.

article
object
required